LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 10-23-2013, 09:25 AM   #16
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 2,524

Rep: Reputation: 407Reputation: 407Reputation: 407Reputation: 407Reputation: 407

basically it's the same Slackbuild script used in Slackware (32 bit), with minor modifications, so it should be working as well in 64 bit machines. I don't know why your system prefer to use clang instead of the default GCC

Last edited by willysr; 10-23-2013 at 09:40 AM.
 
Old 10-27-2013, 07:55 AM   #17
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 2,524

Rep: Reputation: 407Reputation: 407Reputation: 407Reputation: 407Reputation: 407
I have updated the SlackBuild to build 1.7.0 now and also cups-filters to 1.0.40
for those who have been using 1.6.x SlackBuild, you only need to change the VERSION line and it should work
 
Old 10-27-2013, 08:08 AM   #18
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 2,524

Rep: Reputation: 407Reputation: 407Reputation: 407Reputation: 407Reputation: 407
One good news is that newer cups-filter (1.0.40) no longer depends on avahi, so for someone to build CUPS 1.6+, they would only need this packages as a minimum requirements
- cups-filters
- qpdf

This means removing avahi and libdaemon as requirements, meaning less packages need to be added in future Slackware releases
 
Old 10-27-2013, 04:46 PM   #19
hopbyhop
Member
 
Registered: Aug 2008
Posts: 52

Rep: Reputation: 15
1.7.0. OK on 64 bit

Quote:
Originally Posted by willysr View Post
I have updated the SlackBuild to build 1.7.0
....
This means removing avahi and libdaemon as requirements, meaning less packages need to be added in future Slackware releases
Good news. Now I will remove the packages. Version 1.7.0 fixes also the compiling bug on 64bit machines: no need to force gcc compiler anymore, the slackbuild works as is.
BTW, I also upgraded Gutenprint to the current CVS version (pre 5.2.10): it should better handle the Canon Pixma printer I own. However, building fails generating documentation, and excluding doc in configure seems to have no effect. My workaround was to replace the /doc tree in the cvs source with the one from 5.2.9 release (documentation seems just the same).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Cups/lpr returns "Request Entity Too Large" didiw Linux - Software 4 12-16-2013 04:14 PM
CUPS ERROR: [Job ???] Request file type is text/plain. (CUPS on ARM architectu abhinit Linux - Software 3 04-22-2011 03:19 AM
CUPS - 400 Bad Request theking2 Linux - Software 1 06-10-2010 04:15 PM
Suse CUPS error: cups(File)DoRequest error:client-error-bad-request smdonelan Linux - Hardware 6 04-17-2007 06:46 PM
CUPS problem: IPP request failed for unknow reason unicornop Linux - Software 7 05-27-2006 01:20 PM


All times are GMT -5. The time now is 12:51 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration